
=checkbox($width, $radius, $color, $color-inactive: "$color")
  input[type=checkbox]
    display: none
    + label
      display: flex;
      position: relative;
      &:before
        margin-right: 12px
        display: block
        content: ''
        height: $width
        width: $width
        border: 2px solid $color-inactive
        border-radius: $radius

    &:checked + label
      &:before
        border: 2px solid $color
      &:after
        position: absolute;
        top: $width/5;
        left: $width/2.5;
        content: ''
        box-sizing: border-box;
        width: $width/2;
        height: $width/1.6;
        transform: rotate(45deg)
        border: 2px solid $color
        border-top: 0
        border-left: 0
    